---
title: "Query list of comments"
description: "query comment list"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/comments/query-list-of-comments'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/comments/query-list-of-comments.md'
---
# Query list of comments

query comment list

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/comments.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_content`

## Request

### Query Parameters

* `blog_collection_id`

  string (optional)

  Comment on the blog collection id for articles belonging to

* `blog_id`

  string (optional)

  Comment on blog id

* `created_at_max`

  string (optional)

  Review created max time ISO 8601

* `created_at_min`

  string (optional)

  Review create minimum time ISO 8601

* `fields`

  string (optional)

  Limited return object fields , multiple separated by ',' are used

* `limit`

  integer (optional)

  Query of query quantity , default 50 , can not exceed 250

* `published_at_max`

  string (optional)

  Post review max time ISO 8601

* `published_at_min`

  string (optional)

  Post review min time ISO 8601

* `published_status`

  string (optional)

  Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;

* `since_id`

  string (optional)

  Show data after this id

* `status`

  string (optional)

  Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;

* `updated_at_max`

  string (optional)

  Update max time ISO 8601

* `updated_at_min`

  string (optional)

  Update min time ISO 8601

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `comments`

  array<object>

  Review information

  * `blog_collection_id`

    string

    Comment on the blog collection id for articles belonging to

  * `published_at`

    string

    Time to post a review ISO 8601

  * `blog_id`

    string

    Comment on blog id

  * `body_html`

    string

    Body content with html markings

  * `email`

    string

    Comment on the e-mail address of the author

  * `updated_at`

    string

    Update time ISO 8601

  * `author`

    string

    Author of the review

  * `id`

    string

    Comment id

  * `create_at`

    string

    Created time for reviews ISO 8601

  * `ip`

    string

    Ip to post a review

  * `status`

    string

    Comment status , post value : unapproved ( default state , comment waiting to be approved , c end does not show this state comment ) ; published : ( posted state , and visible to users on the end of c ) ; spam : ( garbage review , c end )Removed : ( review is marked as deleted status , not visible for users on the end of the c )

  * `body`

    string

    Comment content

  * `user_agent`

    string

    User agent information


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "query comment list",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "fMRKvhct",
  "parameters": [
    {
      "name": "blog_collection_id",
      "in": "query",
      "description": "Comment on the blog collection id for articles belonging to",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "blog_collection_id",
        "description": "Comment on the blog collection id for articles belonging to",
        "type": "string",
        "example": "639bfda0ee877c4a9bd600b6"
      },
      "example": "639bfda0ee877c4a9bd600b6"
    },
    {
      "name": "blog_id",
      "in": "query",
      "description": "Comment on blog id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "blog_id",
        "description": "Comment on blog id",
        "type": "string",
        "example": "63a2afa527797d5cedcecb52"
      },
      "example": "63a2afa527797d5cedcecb52"
    },
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Review created max time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Review created max time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Review create minimum time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Review create minimum time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Limited return object fields , multiple separated by ',' are used",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Limited return object fields , multiple separated by ',' are used",
        "type": "string",
        "example": "body_html,author"
      },
      "example": "body_html,author"
    },
    {
      "name": "limit",
      "in": "query",
      "description": "Query of query quantity , default 50 , can not exceed 250",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "Query of query quantity , default 50 , can not exceed 250",
        "type": "integer",
        "example": 100
      },
      "example": 100
    },
    {
      "name": "published_at_max",
      "in": "query",
      "description": "Post review max time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_max",
        "description": "Post review max time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "published_at_min",
      "in": "query",
      "description": "Post review min time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_min",
        "description": "Post review min time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "published_status",
      "in": "query",
      "description": "Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_status",
        "description": "Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;",
        "type": "string",
        "example": "published"
      },
      "example": "published"
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "Show data after this id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "Show data after this id",
        "type": "string",
        "example": "63aaacb8b0fea649647a241a"
      },
      "example": "63aaacb8b0fea649647a241a"
    },
    {
      "name": "status",
      "in": "query",
      "description": "Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "status",
        "description": "Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Update max time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Update max time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Update min time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Update min time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "comments": {
                "name": "comments",
                "description": "Review information",
                "type": "array",
                "items": {
                  "name": "comments",
                  "description": "Review information",
                  "type": "object",
                  "properties": {
                    "blog_collection_id": {
                      "name": "blog_collection_id",
                      "description": "Comment on the blog collection id for articles belonging to",
                      "type": "string",
                      "example": "639bfda0ee877c4a9bd600b6"
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "Time to post a review ISO 8601",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00\t\n"
                    },
                    "blog_id": {
                      "name": "blog_id",
                      "description": "Comment on blog id",
                      "type": "string",
                      "example": "63a2afa527797d5cedcecb52"
                    },
                    "body_html": {
                      "name": "body_html",
                      "description": "Body content with html markings",
                      "type": "string",
                      "example": "<p>demo-content</p>"
                    },
                    "email": {
                      "name": "email",
                      "description": "Comment on the e-mail address of the author",
                      "type": "string",
                      "example": "demo@qq.com"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "Update time ISO 8601",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00\t\n"
                    },
                    "author": {
                      "name": "author",
                      "description": "Author of the review",
                      "type": "string",
                      "example": "demo-author"
                    },
                    "id": {
                      "name": "id",
                      "description": "Comment id",
                      "type": "string",
                      "example": "63aaa20f6b7b014b289c0765"
                    },
                    "create_at": {
                      "name": "create_at",
                      "description": "Created time for reviews ISO 8601",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00\t\n"
                    },
                    "ip": {
                      "name": "ip",
                      "description": "Ip to post a review",
                      "type": "string",
                      "example": "172.28.173.136"
                    },
                    "status": {
                      "name": "status",
                      "description": "Comment status , post value : unapproved ( default state , comment waiting to be approved , c end does not show this state comment ) ; published : ( posted state , and visible to users on the end of c ) ; spam : ( garbage review , c end )Removed : ( review is marked as deleted status , not visible for users on the end of the c )",
                      "type": "string",
                      "example": "unapproved"
                    },
                    "body": {
                      "name": "body",
                      "description": "Comment content",
                      "type": "string",
                      "example": "demo-content"
                    },
                    "user_agent": {
                      "name": "user_agent",
                      "description": "User agent information",
                      "type": "string",
                      "example": ""
                    }
                  },
                  "example": {
                    "ip": "172.28.173.136",
                    "id": "63aaa20f6b7b014b289c0765",
                    "blog_collection_id": "639bfda0ee877c4a9bd600b6",
                    "blog_id": "63a2afa527797d5cedcecb52",
                    "status": "unapproved",
                    "body_html": "<p>demo-content</p>",
                    "email": "demo@qq.com",
                    "author": "demo-author",
                    "updated_at": "2022-08-03T10:45:00+08:00\t\n",
                    "create_at": "2022-08-03T10:45:00+08:00\t\n",
                    "published_at": "2022-08-03T10:45:00+08:00\t\n",
                    "user_agent": "",
                    "body": "demo-content"
                  }
                },
                "example": [
                  {
                    "body_html": "<p>demo-content</p>",
                    "author": "demo-author",
                    "status": "unapproved",
                    "create_at": "2022-08-03T10:45:00+08:00\t\n",
                    "updated_at": "2022-08-03T10:45:00+08:00\t\n",
                    "user_agent": "",
                    "blog_id": "63a2afa527797d5cedcecb52",
                    "ip": "172.28.173.136",
                    "body": "demo-content",
                    "email": "demo@qq.com",
                    "id": "63aaa20f6b7b014b289c0765",
                    "published_at": "2022-08-03T10:45:00+08:00\t\n",
                    "blog_collection_id": "639bfda0ee877c4a9bd600b6"
                  }
                ]
              }
            },
            "example": {
              "comments": [
                {
                  "create_at": "2022-08-03T10:45:00+08:00\t\n",
                  "user_agent": "",
                  "status": "unapproved",
                  "blog_collection_id": "639bfda0ee877c4a9bd600b6",
                  "blog_id": "63a2afa527797d5cedcecb52",
                  "email": "demo@qq.com",
                  "author": "demo-author",
                  "published_at": "2022-08-03T10:45:00+08:00\t\n",
                  "body": "demo-content",
                  "body_html": "<p>demo-content</p>",
                  "updated_at": "2022-08-03T10:45:00+08:00\t\n",
                  "id": "63aaa20f6b7b014b289c0765",
                  "ip": "172.28.173.136"
                }
              ]
            }
          },
          "examples": {
            "Query list of reviews": {
              "value": {
                "comments": [
                  {
                    "create_at": "2022-11-25T12:19:44+08:00",
                    "author": "testdew",
                    "body": "fsf",
                    "blog_id": "63803d9ec57c9739b672296b",
                    "ip": "157.119.232.38,10.98.217.51",
                    "published_at": "2022-11-25T12:19:57+08:00",
                    "blog_collection_id": "632c137a0fe5b42e60a04b62",
                    "status": "published",
                    "updated_at": "2022-11-25T12:19:57+08:00",
                    "email": "test@qq.com",
                    "id": "63804260a0a9ba4487960881"
                  },
                  {
                    "create_at": "2022-11-25T12:12:54+08:00",
                    "author": "testdet",
                    "blog_id": "63357995840927149ba6c75c",
                    "email": "test@qq.com",
                    "status": "published",
                    "blog_collection_id": "632c137a0fe5b42e60a04b62",
                    "published_at": "2022-11-25T12:13:01+08:00",
                    "body": "test",
                    "ip": "157.119.232.38,10.98.209.49",
                    "updated_at": "2022-11-25T12:13:01+08:00",
                    "id": "638040c6a0a9ba4487960880"
                  },
                  {
                    "id": "6373961f22270c51e7ea5831",
                    "author": "test",
                    "blog_collection_id": "633456618c5d1d25c6502e05",
                    "blog_id": "63345662840927149ba620ce",
                    "published_at": "2022-11-15T21:37:49+08:00",
                    "ip": "172.71.14.132,10.98.223.48",
                    "updated_at": "2022-11-15T21:37:49+08:00",
                    "create_at": "2022-11-15T21:37:35+08:00",
                    "status": "published",
                    "body": "test@qq.com",
                    "email": "test@qq.com"
                  },
                  {
                    "email": "test@ww.vom",
                    "status": "published",
                    "create_at": "2022-10-24T15:05:39+08:00",
                    "ip": "218.253.130.212,10.218.10.96",
                    "blog_collection_id": "633456618c5d1d25c6502e05",
                    "updated_at": "2022-10-24T15:05:50+08:00",
                    "blog_id": "63345662840927149ba620ce",
                    "body": "test@ww.vom",
                    "id": "63563943e3ef6c5645bd5c38",
                    "published_at": "2022-10-24T15:05:50+08:00",
                    "author": "测试"
                  },
                  {
                    "id": "63156ef7f79e9061863e0f7d",
                    "blog_id": "630d8e4b7bd58a0b24e453b5",
                    "create_at": "2022-09-05T11:37:27+08:00",
                    "published_at": "2022-09-05T20:33:48+08:00",
                    "status": "published",
                    "email": "6@qq.com",
                    "blog_collection_id": "630d8e61624a3b67a72ebd0a",
                    "ip": "218.253.130.211,10.218.16.233",
                    "updated_at": "2022-09-05T20:33:48+08:00",
                    "body": "自动发布66@qq.com",
                    "author": "自动发布66"
                  },
                  {
                    "blog_id": "630d8e4b7bd58a0b24e453b5",
                    "body": "LEfsfdsfsdf",
                    "email": "werwerwe@qq.com",
                    "status": "published",
                    "published_at": "2022-09-05T20:33:48+08:00",
                    "blog_collection_id": "630d8e61624a3b67a72ebd0a",
                    "create_at": "2022-09-05T11:36:58+08:00",
                    "id": "63156edaf79e9061863e0f7c",
                    "updated_at": "2022-09-05T20:33:48+08:00",
                    "author": "LE",
                    "ip": "218.253.130.211,10.218.16.233"
                  },
                  {
                    "create_at": "2022-09-05T11:36:41+08:00",
                    "email": "23423@qq.com",
                    "author": "234234",
                    "blog_id": "630d8e4b7bd58a0b24e453b5",
                    "body": "23424234",
                    "status": "published",
                    "updated_at": "2022-09-05T20:33:48+08:00",
                    "id": "63156ec9f79e9061863e0f7b",
                    "published_at": "2022-09-05T20:33:48+08:00",
                    "blog_collection_id": "630d8e61624a3b67a72ebd0a",
                    "ip": "218.253.130.211,10.218.31.172"
                  },
                  {
                    "email": "12312@qq.com",
                    "status": "published",
                    "published_at": "2022-09-01T11:40:24+08:00",
                    "create_at": "2022-09-01T11:40:15+08:00",
                    "id": "6310299f0a68a2615bfd6b70",
                    "blog_collection_id": "63102984a41c340478649389",
                    "blog_id": "63102984a41c34047864938a",
                    "ip": "218.253.130.211,10.218.32.10",
                    "updated_at": "2022-09-01T11:40:24+08:00",
                    "author": "12321",
                    "body": "123213"
                  },
                  {
                    "author": "123213",
                    "body": "123213",
                    "blog_id": "63032d4027ed7c01fa62c72f",
                    "blog_collection_id": "62e0dfd59eb73e6fdebe0d63",
                    "id": "630d8eb087f3f8143e0e1bc0",
                    "status": "published",
                    "published_at": "2022-08-30T17:14:06+08:00",
                    "updated_at": "2022-08-30T17:14:06+08:00",
                    "create_at": "2022-08-30T12:14:40+08:00",
                    "ip": "218.253.130.211,10.218.17.33",
                    "email": "123213@qq.com"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/comments.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query list of comments",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_content"
  ]
}
```